package com.miaxis.app.report.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 用户照片对象 report_images
 *
 * @author miaxis
 * @date 2021-01-06
 */
@Data
@TableName("report_images")
@ApiModel(value = "ReportImages", description = "用户照片对象 report_images")
public class ReportImages extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** 自增id */
    @TableId(value = "id")
    @ApiModelProperty(value = "自增id")
    private Long id;

    /** 举报id */
    @Excel(name = "举报id")
    @TableField("report_id")
    @ApiModelProperty(value = "举报id")
    private Long reportId;

    /** 照片url(访问地址) */
    @Excel(name = "照片url(访问地址)")
    @TableField("file_url")
    @ApiModelProperty(value = "照片url(访问地址)")
    private String fileUrl;

    /** 文件路径 */
    @Excel(name = "文件路径")
    @TableField("file_path")
    @ApiModelProperty(value = "文件路径")
    private String filePath;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setReportId(Long reportId){
        this.reportId = reportId;
    }

    public Long getReportId(){
        return reportId;
    }
    public void setFileUrl(String fileUrl){
        this.fileUrl = fileUrl;
    }

    public String getFileUrl(){
        return fileUrl;
    }
    public void setFilePath(String filePath){
        this.filePath = filePath;
    }

    public String getFilePath(){
        return filePath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("reportId", getReportId())
            .append("fileUrl", getFileUrl())
            .append("filePath", getFilePath())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
